PaymentsBalance
Update your balance threshold
Allows to update balance threshold value.
To determine, which threshold should be updated, a balance_type should be passed in the query. If no value was provided, it will default to the voice balance type.
Read more about balance threshold in documentation to GET /api/v1/payments/threshold.
Query Parameters
balance_type?string
Optional field. Accepts a balance type for which we should fetch the balance threshold value. If no value was provided, will default to the voice balance type.
Value in
"voice" | "additional" | "sms"Header Parameters
Authorization*string
Your API token
Request Body
application/json
Threshold update parameters
Response Body
application/json
application/json
application/json
curl -X PATCH "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/threshold" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"data": {
"threshold": 0
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}